Summary: Bluetooth utilities 
Name: bluez-utils
Version: 2.3
Release: 14
Copyright: GPL
Group: Applications/System
Source: http://bluez.sourceforge.net/download/%{name}-%{version}.tar.gz
Patch: bluez-utils-build.patch
Patch2: bluez-utils-2.2-pcmciaerr.patch
Patch3: bluez-utils-2.3-hciattach-initspeed.patch
Patch4: bluez-utils-2.3-rfcommbindall.patch
Patch5: bluez-utils-2.3-bluepin-gtk2.patch
Patch6: bluez-utils-2.3-pinwait.patch
Patch7: bluez-utils-2.3-tmpfile.patch
Patch8: bluez-utils-2.3-dbus.patch
Patch9: bluez-utils-2.3-default-on.patch
Patch10: bluez-utils-2.3-conf.patch
Patch11: bluez-utils-2.3-status.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://bluez.sourceforge.net/
BuildRequires: bluez-libs-devel >= 2.0
BuildRequires: flex
BuildRequires: dbus-devel, autoconf, automake14
ExcludeArch: s390 s390x

%description
Bluetooth utilities (bluez-utils):
	- hcitool
	- hciattach
	- hciconfig
	- hcid
	- l2ping
	- start scripts (Red Hat)
	- pcmcia configuration files

The BLUETOOTH trademarks are owned by Bluetooth SIG, Inc., U.S.A.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
aclocal-1.4; automake-1.4; autoconf
%configure --with-bluez-libs=%{_libdir} --enable-dbus
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bluetooth
/sbin/service bluetooth condrestart

%preun
/sbin/chkconfig --del bluetooth

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
/etc/rc.d/init.d/bluetooth
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man*/*
%dir %{_sysconfdir}/bluetooth/
%config(noreplace) %{_sysconfdir}/bluetooth/*
%config %{_sysconfdir}/pcmcia/bluetooth.conf
%config %{_sysconfdir}/pcmcia/bluetooth

%changelog
* Wed Oct 22 2003 Karsten Hopp <karsten@redhat.de> 2.3-14
- add status to initscript (#106265)

* Tue Sep 09 2003 David Woodhouse <dwmw2@redhat.com> 2.3-13
- Make config files noreplace to fix #104074

* Fri Sep 05 2003 David Woodhouse <dwmw2@redhat.com> 2.3-12
- Updated dbus patch to fix conf file parser.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-11
- Ignore SIGCHLD.

* Sat Aug 30 2003 David Woodhouse <dwmw2@redhat.com> 2.3-10
- Don't ignore SIGCHLD.

* Tue Aug 26 2003 David Woodhouse <dwmw2@redhat.com> 2.3-9 
- Init script enabled by default

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-8
- Use aclocal-1.4 not aclocal

* Fri Jun 20 2003 David Woodhouse <dwmw2@redhat.com> 2.3-7
- Add Phil Blundell's dbus patch
- chkconfig and condrestart in %post

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 2.3-6
- rebuilt

* Tue May 06 2003 David Woodhouse <dwmw2@redhat.com> 2.3-5
- Fix tmpfile bug

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-4
- Work around fontconfig bug when invoked with no HOME in environment

* Sun Apr 27 2003 David Woodhouse <dwmw2@redhat.com> 2.3-3
- Unignore SIGCHLD before starting pin helper, report its return code

* Fri Apr 25 2003 David Woodhouse <dwmw2@redhat.com> 2.3-2
- Fix bluepin some more.

* Thu Apr 24 2003 David Woodhouse <dwmw2@redhat.com> 2.3-1
- Upgrade to bluez-utils 2.3
- Fix, document and use 'rfcomm bind all'
- Support sending break and changing initial speed in hciattach
- Fix bluepin for gtk2

* Mon Apr 14 2003 Bill Nottingham <notting@redhat.com> 2.2-4
- fix reference to bluepin in /etc/pcmcia/hcid.conf (#88797)

* Mon Feb 24 2003 Bill Nottingham <notting@redhat.com> 2.2-3
- fix errors from cardmgr on startup

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 19 2003 Matt Wilson <msw@redhat.com> 2.2-1
- configure with --with-bluez-libs=%%{_libdir}

* Fri Jan 17 2003 Bill Nottingham <notting@redhat.com> 2.2-1
- adapt upstream rpm

* Tue Aug 13 2002 Sebastian Frankfurt <sf@infesto.de>
- Initial RPM
